GJAVAH(1)

NAME
gjavah - - generate header files from Java class files

SYNOPSIS
gjavah ...

DESCRIPTION
The gjavah program is used to generate header files from class files. It can generate both CNI and JNI header files, as well as stub implementation files which can be used as a basis for implementing the required native methods.

OPTIONS

-d DIR
    Set output directory.

-o FILE
    Set output file (only one of -d or -o may be used).

-cmdfile FILE
    Read command file.

-all DIR
    Operate on all class files under directory DIR.

-stubs
    Emit stub implementation.

-jni
    Emit JNI stubs or header (default).

-cni
    Emit CNI stubs or header (default JNI).

-verbose
    Set verbose mode.

-force
    Output files should always be written.

Class path options:

-classpath PATH
    Set the class path.

-IDIR
    Add directory to class path.

-bootclasspath PATH
    Set the boot class path.

-extdirs PATH
    Set the extension directory path.

Standard options:

-help
    Print help text, then exit.

-version
    Print version number, then exit.

-JOPTION
    Pass argument to the Java runtime.

BUGS

SEE ALSO
javac(1), ...

AUTHOR